import argparse


def parse_args():
    parser = argparse.ArgumentParser(description="Async web service")

    parser.add_argument(
        "--host",
        type=str,
        required=False,
        default="0.0.0.0",
        help="Host to serve on. Default: 0.0.0.0.",
    )

    parser.add_argument(
        "--port",
        type=int,
        required=False,
        default=8888,
        help="Port to serve on Default: 8888.",
    )

    parser.add_argument(
        "--url",
        type=str,
        default="http://localhost:8888",
        required=False,
        help="Base URL.",
    )

    return parser.parse_args()
